MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
UpdateRemoveService Class Referencefinal

This class handles Song removal. More...

`#include <Remove.hxx>`

Inheritance diagram for UpdateRemoveService:
[legend]
Collaboration diagram for UpdateRemoveService:
[legend]

## Public Member Functions
| UpdateRemoveService (EventLoop &_loop, DatabaseListener &_listener)
void | Remove (std::string &&uri)
| Sends a signal to the main thread which will in turn remove the song: from the sticker database and from the playlist. More...

## Detailed Description

This class handles Song removal.

It defers the action to the main thread to ensure that all references to the Song are gone.

Definition at line 38 of file Remove.hxx.

## Constructor & Destructor Documentation

UpdateRemoveService::UpdateRemoveService | ( | EventLoop & | _loop,
|  | DatabaseListener & | _listener
| ) |  |
| inline

Definition at line 46 of file Remove.hxx.

## Member Function Documentation

void UpdateRemoveService::Remove | ( | std::string && | uri | ) |

Sends a signal to the main thread which will in turn remove the song: from the sticker database and from the playlist.

This serialized access is implemented to avoid excessive locking.

The documentation for this class was generated from the following file:

- db/update/Remove.hxx